/* Description: Mangrove Mama's Spedific CSS
 * Template: twentytwentyone
 * Author(s): Cody Larkin
 * Version: 1.0
*/

/* vars vars vars vars vars vars vars vars vars vars vars vars vars vars  */

:root {
	/* color scheme vars */
	--accent1: #F39326;      /* orange */
	--accent2: #B1322E;      /* red */
	--accent3: #6BC04B; 	 /* green  */
	--accent3_50: #6BC04B80; /* green @ 50% opacity*/

	--dark1: #635E61;        /* gray */
	--dark2: #484848;        /* dark gray */
	--dark3: #000000;        /* black */
	
	--light1: #FFFFFF;       /* white */
	--light2: #F1ECEC; 		 /* light gray */
	--light1_50: #FFFFFF80;  /* light1 @ 50% opacity */

	/* font family vars */
	--IBMPlex: 'IBM Plex Sans Condensed', sans-serif;
	--BranGro: 'brandon-grotesque', sans-serif;
}

/* /vars /vars /vars /vars /vars /vars /vars /vars /vars /vars /vars  */

/* quick vars quick vars quick vars quick vars quick vars quick vars  */

body a.btn-bt,
body nav ul li a,
body li .vc_tta-title-text,
body span.fake-widget-title,
body ul#menu-copyright-menu li,
body ul#menu-copyright-menu li a,
body #content h1, body #content h2, body #content h3,
body #content h4, body #content h5, body #content h6 {
	font-family: var(--IBMPlex) !important;
}

.wpb_row.accent1    { background: var(--accent1);    }
.wpb_row.accent2    { background: var(--accent2);    }
.wpb_row.accent3    { background: var(--accent3);    }
.wpb_row.accent3_50 { background: var(--accent3_50); }
.wpb_row.light1     { background: var(--light1);     }
.wpb_row.light2     { background: var(--light2);     }
.wpb_row.dark1      { background: var(--dark1);      }
.wpb_row.dark2      { background: var(--dark2);      }
.wpb_row.dark3      { background: var(--dark3);      }

.accent1    { color: var(--accent1);    }
.accent2    { color: var(--accent2);    }
.accent3    { color: var(--accent3);    }
.accent3_50 { color: var(--accent3_50); }
.light1     { color: var(--light1);     }
.light2     { color: var(--light2);     }
.dark1      { color: var(--dark1);      }
.dark2      { color: var(--dark2);      }
.dark3      { color: var(--dark3);      }

.bakery .wpb_row:not(.bottom-cta):not(.home-mid-cta) h2,
.bakery .wpb_row:not(.bottom-cta):not(.home-mid-cta) h3,
.bakery .wpb_row:not(.bottom-cta):not(.home-mid-cta) h4,
.wpb_row.light1 h2,
.wpb_row.light1 h3,
.wpb_row.light1 h4 {
	color: var(--accent1);
}

/* /quick vars /quick vars /quick vars /quick vars /quick vars /quick */

/* General general */

html { scroll-behavior: smooth; }
.vc_col-sm-6 a.btn-bt.alternate { margin-top: 24px; }

@media (min-width: 980px) {
	.vertical-align {
		align-self: center;
		display: flex;
	}
}

@media (max-width: 480px) {
	.center-mobile {
		text-align: center !important;
	}
	.center-mobile.btn-bt {
		margin-right: auto;
		margin-left: auto;
	}
}

.vc_col-sm-6 h6 {
	margin-bottom: 12px;
}

/* /General /general */

/* Fix Hz scroll */
@media (min-width: 768px) {
	.vc_tta.vc_tta-style-classic.vc_tta-tabs .vc_tta-panel {
		margin: 0 !important;
	}
}

/* Header header mods */

@media (min-width: 1441px) {
	body:not(.home) .default-header {
		height: 977px;
	}
}

@media (min-width: 1300px) {
	.left-right-header ul#top-menu li {
	    padding-right: 18px !important;
	    padding-left: 18px !important;
	}
}

@media (min-width: 980px) {
	nav ul li a {
		text-shadow: 0 0 2px var(--light1);
	}
}

nav ul li a {
	line-height: 1;
}

@media (max-width: 1100px) {
	ul#left-menu li a,
	ul#right-menu li a,
	ul#top-menu li a {
	    font-size: 16px;
	}
}

@media (max-width: 979px) {
	.top-header {
	    height: 171px;
	}
	.logo .site-branding a,
	.logo .site-branding a img {
		max-height: 111px;
		height: 111px;
	}
}

@media (max-width: 480px) {
	.header-button a.btn-bt {
	    display: flex !important;
	    justify-content: center;
	    align-items: center;
	    height: 48px;
	    width: 48px;
	    padding: 0;
	}
	div.header-button a.btn-bt.default.btn-default {
	    font-size: 20px;
	}
}

/* /Header /header mods */

/* Footer footer Copyright copyright */

body footer#footer i.footer-icon {
	color: var(--accent1);
}
span.fake-widget-title {
    margin-bottom: 5px;
    font-weight: 700;
    font-size: 14px;
}
footer#footer .widget a {
	text-decoration: none;
}
body footer#footer .widget a:hover {
	text-decoration: none;
	color: var(--accent1) !important;
}
p#copyright-p {
    text-transform: uppercase;
}
.row.copyright .menu-copyright-menu-container ul#menu-copyright-menu li a {
    letter-spacing: 1px;
    font-weight: 700;
    font-size: 16px;
}
.row.copyright .menu-copyright-menu-container ul#menu-copyright-menu li a:hover {
	color: var(--accent1) !important;
}
body ul.social li a i {
	border-color: var(--accent3) !important;
	background: var(--accent3);
}
body ul.social li a:hover i {
	border-color: var(--accent3) !important;
	background: var(--light1) !important;
}
body ul.social li a:hover i::before {
	color: var(--accent3) !important;
}
ul.social li a i.icon-mail-alt::before {
	position: relative;
	right: -0.5px;
	top: -1px;
}
footer .row .container {
    max-width: 1200px;
}

/* /Footer /footer /Copyright /copyright */

/* Top Anchor + Recaptcha */
a.topbutton {
    background-color: var(--accent3);
    transition: all 0.3s ease-in-out;
    border: 2px solid var(--light1);
    text-decoration: none;
    border-radius: 7px;
    bottom: 148px;
    right: 10px;
}
a.topbutton:hover {
	background-color: var(--light1);
	border-color: var(--accent3);
}
a.topbutton i.icon-angle-up {
	justify-content: center;
	align-items: center;
	display: flex;
}
a.topbutton i.icon-angle-up:before {
	transition: all 0.3s ease-in-out;
    margin: 0 !important;
    color: var(--light1);
    position: relative;
    font-size: 48px;
    line-height: 1;
    top: -4.5px;
}
a.topbutton:hover i:before {
	transition: all 0.3s ease-in-out;
	color: var(--accent3);
}
div.grecaptcha-badge {
	bottom: 70px !important;
	z-index: 1;
}

/* END Top Anchor + Recaptcha */

/* Follow follow us carousel */

.ug-button-tile-navigation.ug-button-tile-left,
.ug-button-tile-navigation.ug-button-tile-right {
    filter: opacity(0.3);
}

/* /Follow /follow us carousel */

/* Testimonial testimonial carousel */

.strong-view.wpmtst-modern .wpmtst-testimonial-content {
	margin: 0 auto !important;
}
body #content .strong-view.wpmtst-modern .wpmtst-testimonial-content:before,
body #content .strong-view.wpmtst-modern .wpmtst-testimonial-content:after,
.wpmslider-controls.wpmslider-has-controls-direction {
	display: none;
}
.wpmtst-testimonial-inner.testimonial-inner {
    display: flex !important;
    flex-direction: column;
}
.wpmtst-testimonial-content.testimonial-content {
	order: 2;
}
.wpmtst-testimonial-field.testimonial-field {
	order: 1;
}

/* /Testimonial /testimonial carousel */

/* Menu menu tabs */

.menu-tabs-row .vc_row.vc_inner {
	align-items: start;
}
.menu-tabs-row .vc_row.vc_inner strong {
	font-family: var(--IBMPlex);
	color: var(--accent2);
}
.menu-tabs-row .vc_inner .wpb_column {
	padding: 0 2.5%;
}
body#menu-page #content .blog-tabs-row .wpb_text_column.wpb_content_element {
    margin-bottom: 35px;
}
.disclaimer-block {
	max-width: 1100px;
	margin: 0 auto;
}
.bakery .menu-tabs-row hr.line {
    background-color: var(--accent2);
}

@media (max-width: 979px) {
	/*.menu-tabs-row h2 {
		margin-bottom: 16px;
	}*/
}
@media (max-width: 767px) {
	.disclaimer-block {
		padding-top: 40px;
	}
}

/* /Menu /menu tabs */

/* Newsletter newsletter CTA cta */

.vc_separator.vc_sep_border_width_2 .vc_sep_holder .vc_sep_line {
	border-color: var(--accent2) !important;
}
body .bottom-cta.newsletter-cta h2 {
	color: var(--light1);
	text-shadow: none;
}
.gform_wrapper .gform_button.button {
    background: var(--accent3) !important;
    /*padding: 8px 0 !important;
    letter-spacing: 1.77px;*/
    border-color: var(--light1);
    color: var(--light1) !important;
    width: 100% !important;
    /*text-decoration: none;
    display: inline-block;
    border-radius: 50px;
    text-align: center;
    font-weight: 700;
    font-size: 16px;*/
}
.gform_wrapper .gform_button.button:hover {
	color: var(--accent3) !important;
	border-color: var(--accent3);
	background: var(--light1);
}
.bottom-cta .gform_wrapper.gravity-theme .gfield_label {
	color: var(--light1);
}

/* /Newsletter /newsletter CTA cta */

/* Contact contact Us us */

.bottom-cta h2 {
	text-shadow: none !important;
}

/* /Contact /contact Us us */


/* Global Search Results page */

body.search .default-header {
    background-image: url(/wp-content/uploads/2024/01/hero-contactus.jpg);
}

body.search #content article h2 a,
body.search article .entry-content,
body.search article .entry-content p {
	color: var(--light1);
}
span.page-description.search-term {
    font-size: 69px;
}
.search-results .top-cta .wpb_text_column .wpb_wrapper {
    justify-content: center;
    align-items: center;
    display: flex;
}

@media (min-width: 980px) {
    .search-results .top-cta h4 {
        margin-right: 20px;
    }
}

.search-results .top-cta p {
/*    font-family: var(--RobotoReg);*/
    color: var(--light1);
    letter-spacing: 3px;
    font-size: 18px;
}
.search-results .search-cta form.search-form {
    position: relative;
    width: 450px;
}
.search-results .some-content {
    background: var(--light2);
    padding: 40px 0px;
}
.search-results .some-content.num-of-results {
    background: var(--accent3);
    padding: 24px 0;
}
.search-result-count p {
/*    font-family: var(--RobotoReg);*/
    color: var(--light1);
    font-weight: 700;
}
.search-results .some-content .container {
    max-width: 800px;
    margin: 0 auto;
    width: 87%;
}
.search-results .search-result-count.default-max-width {
    max-width: unset;
    width: 100%;
}
.search-results .search-result-count.default-max-width p {
    text-align: center;
}
.search-results article:nth-child(odd) {
    background: var(--dark1);
}
.search-results article:nth-child(even) {
    background: var(--dark2);
}
.search-results article {
    margin-bottom: 25px;
    padding: 20px;
}
.search-results article .entry-header,
.search-results article .entry-content {
    margin: 0;
}
.search-results article .entry-header h2,
.search-results article .entry-content p {
    max-width: unset !important;
    width: 100%;
}
.search-results article .entry-header h2 {
    margin-bottom: 5px;
    line-height:  36px;
    font-size: 24px;
}
body.search-results #content article .entry-header h2 a {
    transition: all 0.3s ease-in-out;
}
body.search-results #content article .entry-header h2 a:hover {
    transition: all 0.3s ease-in-out;
    color: var(--accent3);
}
.search-results article .entry-content p {
    margin-bottom: 0px;
}
.search-results article .entry-header figure,
.search-results article .entry-footer {
    display: none;
}
.search-results a.more-link {
/*    border-radius: 12px;*/
    margin-top: 18px;
}
.search-results nav.navigation.pagination {
    margin-top: 18px;
    margin-bottom: 0;
}
.search-results .nav-links {
    padding: 24px 0;
}
.search-results .nav-links span.page-numbers,
.search-results .nav-links a {
    margin: 0;
}
.search-cta form.search-form {
    position: relative;
    width:  450px;
}
.search-cta label {
    display: none;
}
body .bakery .search-cta input[type="search"] {
    border: 2px solid var(--accent1);
    background: transparent;
    margin: 0 !important;
    color: var(--light1);
    padding-right: 25px;
    font-size: 16px;
    border-radius: 7px;
    height: 44px;
}
.search-cta button.search-submit {
    background-color: none !important;
    background: none !important;
    position: absolute;
    border: none;
    padding: 0;
    right: 6px;
    margin: 0;
    top: 6px;
}
.search-cta button.search-submit i.icon-search {
    background-color: none !important;
    background: none !important;
    color: var(--accent1);
}

body.search-results span.page-numbers.current,
body.search-results a.prev.page-numbers,
body.search-results .nav-links a,
body.search-results a.more-link {
    transition: all 0.3s ease-in-out;
/*    background: var(--accent2);*/
    text-transform: uppercase;
    text-decoration: none;
    color: var(--dark1);
    text-align: center;
    min-width: 140px;
    font-size: 14px;
    display: block;
    padding: 0;
}
body.search-results a.prev.page-numbers span,
body.search-results a.next.page-numbers span {
    text-transform: uppercase;
    font-size: 16px;

}
body.search-results a.page-numbers:not(.prev):not(.next),
body.search-results .nav-links span.page-numbers.current {
    min-width: unset !important;
    padding: 0 !important;
}
span.page-numbers.current {
	color: var(--light1) !important;
    background: var(--accent1);
}
body.search-results .entry-content a.more-link {
    color: var(--light1) !important;
    background: var(--accent3);
}
body.search-results .nav-links a,
body.search-results span.page-numbers,
span.nav-next-text,
span.nav-prev-text,
span.nav-short {
    text-decoration: none !important;
    transition: all 0.3s ease-in-out;
    color: var(--dark3) !important;
/*    font-family: var(--RobotoB);*/
    background: none;
    font-weight: 700;
}
body.search-results .nav-links a:not(.current):hover,
body.search-results .nav-links a:hover,
body.search-results .nav-links a:hover span {
    transition: all 0.3s ease-in-out;
    color: var(--accent1) !important;
}
body.search-results span.page-numbers.current {
    text-decoration: none !important;
    color: var(--accent1) !important;
/*    font-family: var(--RobotoB);*/
    background: none;
}
body.search-results div.nav-links {
    align-items: center;
    display: flex;
}
body.search-results a.prev.page-numbers {
    margin-bottom: 0px;
}
body.search-results a.next.page-numbers {
    margin-top: 0px;
}
.pagination .nav-links > *.prev,
.comments-pagination .nav-links > *.prev {
    margin-right: auto !important;
}
body.search-results a.more-link {
    transition: all 0.3s ease-in-out;
    border: 3px solid var(--light1);
    font-family: var(--IBMPlex);
    padding: 21.5px 1% !important;
    background: var(--accent3);
    border-radius: 50px;
    font-weight: 700;
    color: var(--light1);
    letter-spacing: 1.77px;
    box-shadow: none;
    line-height: 1;
}
body #content a.more-link:hover {
    transition: all 0.3s ease-in-out;
    color: var(--accent3) !important;
    border: 3px solid var(--accent3);
    background: var(--light1);
}
body.search-results a.more-link,
body.single .nav-links a .meta-nav {
    margin-right: unset !important;
    margin-left: unset !important;
    max-width: 232px !important;
}
body.search-results .nav-links a:hover {
	color: var(--light1) !important;
}
body.search-results a.more-link:hover {
    color: var(--light1) !important;
    background: var(--accent2);
}
body .nav-links a:hover .meta-nav,
body .left-pag a:hover,
body .right-pag a:hover {
    transition: all 0.3s ease-in-out;
    color: var(--dark2) !important;
}
body.single .nav-links a p.post-title {
    text-transform: uppercase;
    margin: 10px 0 0 0;
    line-height: 1.3;
    text-align: left;
    font-size: 12px;
}
body.single .navigation .nav-links .nav-next a {
    align-items: end;
}
body.single-post #content .wrap {
    max-width: 1200px;
    margin: 0 auto;
    width: 92%;
}
.single aside#secondary li {
    margin-bottom: 12px;
}
.single aside#secondary li:last-child {
    margin-bottom: 0;
}
.single aside#secondary li,
.single aside#secondary li a {
    text-decoration: none;
    line-height: 1.4;
    font-size: 16px;
}
body #content aside#secondary {
    box-shadow: 3px 4px 12px rgba(0, 0, 0, 0.25);;
    border-radius: 16px;
    padding: 20px 18px;
}
body #content aside#secondary li a:hover {
    color: var(--accent5);
}
.single-post-feat-img-wrap img.feat-img {
    box-shadow: 3px 4px 12px rgba(0, 0, 0, 0.25);
    border-radius: 30px;
}

@media (max-width: 979px) {
    a.prev.page-numbers,
    a.next.page-numbers {
        width: 100% !important;
    }
    body.search-results a.page-numbers:not(.prev):not(.next),
    body.search-results .nav-links span.page-numbers.current {
        min-width: unset !important;
        width: 100% !important;
    }
}

@media (max-width: 768px) {
    body.single .navigation .nav-links .nav-next a,
    body.single .navigation .nav-links .nav-previous a {
        align-items: center;
    }
    body.single .nav-links a p.post-title {
        text-align: center;
        margin: 12px 0 0 0;
    }
}

/* Global Search Results page */

/* responsive */

@media (max-width: 768px) {
	body a.topbutton {
	    bottom: 300px !important;
	}
	body div.grecaptcha-badge {
	    bottom: 188px !important;
	}
}